<?php
#%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%#
# Internationalization [DE]                  [Thomas Lange <code@nerdmind.de>] #
#%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%#
#                                                                              #
# This file contains core internationalization strings for the DE language. If #
# you are a translator, please only use the original EN language file for your #
# translation and open a pull request on GitHub or send your language file via #
# email back to <code@nerdmind.de>.                                            #
#                                                                              #
#%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%#

#===============================================================================
# Date element names
#===============================================================================
$LANGUAGE['date_d'] = 'Tag';
$LANGUAGE['date_m'] = 'Monat';
$LANGUAGE['date_y'] = 'Jahr';

#===============================================================================
# Time element names
#===============================================================================
$LANGUAGE['time_h'] = 'Stunde';
$LANGUAGE['time_m'] = 'Minute';
$LANGUAGE['time_s'] = 'Sekunde';

#===============================================================================
# Day names
#===============================================================================
$LANGUAGE['day_0'] = 'Montag';
$LANGUAGE['day_1'] = 'Dienstag';
$LANGUAGE['day_2'] = 'Mittwoch';
$LANGUAGE['day_3'] = 'Donnerstag';
$LANGUAGE['day_4'] = 'Freitag';
$LANGUAGE['day_5'] = 'Samstag';
$LANGUAGE['day_6'] = 'Sonntag';

#===============================================================================
# Month names
#===============================================================================
$LANGUAGE['month_01'] = 'Januar';
$LANGUAGE['month_02'] = 'Februar';
$LANGUAGE['month_03'] = 'März';
$LANGUAGE['month_04'] = 'April';
$LANGUAGE['month_05'] = 'Mai';
$LANGUAGE['month_06'] = 'Juni';
$LANGUAGE['month_07'] = 'Juli';
$LANGUAGE['month_08'] = 'August';
$LANGUAGE['month_09'] = 'September';
$LANGUAGE['month_10'] = 'Oktober';
$LANGUAGE['month_11'] = 'November';
$LANGUAGE['month_12'] = 'Dezember';

#===============================================================================
# Emoticon explanations
#===============================================================================
$LANGUAGE['emoticon_1F60A'] = 'Lächelndes Gesicht mit lächelnden Augen';
$LANGUAGE['emoticon_1F61E'] = 'Enttäuschtes Gesicht';
$LANGUAGE['emoticon_1F603'] = 'Lächelndes Gesicht mit offenem Mund';
$LANGUAGE['emoticon_1F61B'] = 'Gesicht mit herausgestreckter Zunge';
$LANGUAGE['emoticon_1F632'] = 'Erstauntes Gesicht';
$LANGUAGE['emoticon_1F609'] = 'Zwinkerndes Gesicht';
$LANGUAGE['emoticon_1F622'] = 'Weinendes Gesicht';
$LANGUAGE['emoticon_1F610'] = 'Neutrales Gesicht';
$LANGUAGE['emoticon_1F635'] = 'Schwindeliges Gesicht';
$LANGUAGE['emoticon_1F612'] = 'Frustriertes Gesicht';
$LANGUAGE['emoticon_1F60E'] = 'Lächelndes Gesicht mit Sonnenbrille';
$LANGUAGE['emoticon_1F61F'] = 'Besorgtes Gesicht';
$LANGUAGE['emoticon_1F602'] = 'Gesicht mit Freudentränen';
$LANGUAGE['emoticon_1F604'] = 'Lächelndes Gesicht mit offenem Mund und lachenden Augen';

#===============================================================================
# Error messages
#===============================================================================
$LANGUAGE['error_security_csrf'] = 'Der Sicherheitstoken stimmt nicht mit dem Sicherheitstoken des Servers überein.';
$LANGUAGE['error_database_exec'] = 'Es ist ein unerwarteter Fehler bei der Kommunikation mit der Datenbank aufgetreten.';

#===============================================================================
# Fulltext search
#===============================================================================
$LANGUAGE['search_no_results'] = 'Entschuldigung, es wurden keine Ergebnisse für "%s" gefunden.';

#===============================================================================
# Authentication
#===============================================================================
$LANGUAGE['authentication_failure'] = 'Der Benutzername oder das Passwort ist nicht korrekt.';

#===============================================================================
# Items [singular]
#===============================================================================
$LANGUAGE['page'] = 'Seite';
$LANGUAGE['post'] = 'Beitrag';
$LANGUAGE['user'] = 'Benutzer';

#===============================================================================
# Items [plural]
#===============================================================================
$LANGUAGE['pages'] = 'Seiten';
$LANGUAGE['posts'] = 'Beiträge';
$LANGUAGE['users'] = 'Benutzer';

#===============================================================================
# Actions
#===============================================================================
$LANGUAGE['select'] = 'Anzeigen';
$LANGUAGE['insert'] = 'Erstellen';
$LANGUAGE['update'] = 'Bearbeiten';
$LANGUAGE['delete'] = 'Löschen';
$LANGUAGE['search'] = 'Suchen';
$LANGUAGE['remove'] = 'Entfernen';

#===============================================================================
# Previous items
#===============================================================================
$LANGUAGE['prev_page'] = 'Vorherige Seite';
$LANGUAGE['prev_post'] = 'Vorheriger Beitrag';
$LANGUAGE['prev_user'] = 'Vorheriger Benutzer';

#===============================================================================
# Next items
#===============================================================================
$LANGUAGE['next_page'] = 'Nächste Seite';
$LANGUAGE['next_post'] = 'Nächster Beitrag';
$LANGUAGE['next_user'] = 'Nächster Benutzer';

#===============================================================================
# Item overview
#===============================================================================
$LANGUAGE['page_overview'] = 'Seitenübersicht';
$LANGUAGE['post_overview'] = 'Beitragübersicht';
$LANGUAGE['user_overview'] = 'Benutzerübersicht';

#===============================================================================
# Items select
#===============================================================================
$LANGUAGE['select_page'] = 'Seite anzeigen';
$LANGUAGE['select_post'] = 'Beitrag anzeigen';
$LANGUAGE['select_user'] = 'Benutzer anzeigen';

#===============================================================================
# Items insert
#===============================================================================
$LANGUAGE['insert_page'] = 'Seite erstellen';
$LANGUAGE['insert_post'] = 'Beitrag erstellen';
$LANGUAGE['insert_user'] = 'Benutzer erstellen';

#===============================================================================
# Items update
#===============================================================================
$LANGUAGE['update_page'] = 'Seite bearbeiten';
$LANGUAGE['update_post'] = 'Beitrag bearbeiten';
$LANGUAGE['update_user'] = 'Benutzer bearbeiten';

#===============================================================================
# Items delete
#===============================================================================
$LANGUAGE['delete_page'] = 'Seite löschen';
$LANGUAGE['delete_post'] = 'Beitrag löschen';
$LANGUAGE['delete_user'] = 'Benutzer löschen';

#===============================================================================
# Item insert titles
#===============================================================================
$LANGUAGE['title_page_insert'] = $LANGUAGE['insert_page'];
$LANGUAGE['title_post_insert'] = $LANGUAGE['insert_post'];
$LANGUAGE['title_user_insert'] = $LANGUAGE['insert_user'];

#===============================================================================
# Item update titles
#===============================================================================
$LANGUAGE['title_page_update'] = $LANGUAGE['update_page'];
$LANGUAGE['title_post_update'] = $LANGUAGE['update_post'];
$LANGUAGE['title_user_update'] = $LANGUAGE['update_user'];

#===============================================================================
# Item delete titles
#===============================================================================
$LANGUAGE['title_page_delete'] = $LANGUAGE['delete_page'];
$LANGUAGE['title_post_delete'] = $LANGUAGE['delete_post'];
$LANGUAGE['title_user_delete'] = $LANGUAGE['delete_user'];

#===============================================================================
# Item overview titles
#===============================================================================
$LANGUAGE['title_page_overview'] = "{$LANGUAGE['page_overview']} [%d]";
$LANGUAGE['title_post_overview'] = "{$LANGUAGE['post_overview']} [%d]";
$LANGUAGE['title_user_overview'] = "{$LANGUAGE['user_overview']} [%d]";

#===============================================================================
# Search titles
#===============================================================================
$LANGUAGE['title_search_request'] = 'Volltextsuche';
$LANGUAGE['title_search_results'] = 'Ergebnisse für "%s"';

#===============================================================================
# Feed names
#===============================================================================
$LANGUAGE['feed_name_items'] = '%s [alle Inhalte]';
$LANGUAGE['feed_name_pages'] = '%s [nur Seiten]';
$LANGUAGE['feed_name_posts'] = '%s [nur Beiträge]';
?>